Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.csw
Class MetadataTransformer

    java.lang.Object
      org.deegree.portal.standard.csw.MetadataTransformer

    public class MetadataTransformer

extends Object

A `${type_name}` class.
TODO class description

Since:
  2.0
Version:
  2.0, $Revision: 23921 $, $Date: 2010-04-28 11:36:21 +0200 (Mi, 28. Apr 2010) $
Author:
  Judit Mays, last edited by: $Author: apoth $

Constructor Summary
`MetadataTransformer(String filePathName)` Creates a new MetadataTransformer and initializes it with the given `file` (path and name).

Method Summary
`String` | `toString()`
`String` | `transformMetadata(Reader metadataXml, String catalog, String[] serviceCatalogs, int hits, int startPosition, String metaVersion)` Transforms the context pointed to by `context` into html using `xsltURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MetadataTransformer

    public MetadataTransformer(String filePathName)
                        throws FileNotFoundException

  Creates a new MetadataTransformer and initializes it with the given `file` (path and name).

  Parameters:
    `filePathName` -
  Throws:
    `FileNotFoundException` - , if filePathName does not point to an existing file.

Method Detail

### transformMetadata

    public String transformMetadata(Reader metadataXml,
                                    String catalog,
                                    String[] serviceCatalogs,
                                    int hits,
                                    int startPosition,
                                    String metaVersion)
                             throws TransformerException,
                                    IOException

  Transforms the context pointed to by `context` into html using `xsltURL`

  Parameters:
    `metadataXml` - The `Reader` containing the xml document to be transformed.
    `catalog` - The name of the catalog.
    `serviceCatalogs` -
    `hits` - The number of records matched for this catalog.
    `startPosition` - The position to start displaying the matched records from.
    `metaVersion` - The version of metadata to transform ( list, overview, detailed ).
  Returns:
    Returns result of transformation.
  Throws:
    `TransformerException`
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org